
uniform float time;
uniform vec2 resolution;

void main(void) {
    float g_val = sin(time/2.0)*sin(gl_FragCoord.y / 10.0+time) * resolution.x / 300.0;
    float b_val = cos(time/3.0)*cos(gl_FragCoord.y / 5.0-time) * resolution.x / 200.0;
    //float r_val = sin(time/5.0)*cos(gl_FragCoord.x / 7.0-time) * resolution.x / 300.0;
    float r_val = sin(time/2.0)*sin(gl_FragCoord.y / 10.0+time) * resolution.x / 300.0;
    g_val = (g_val / 4.3) + 0.3;
    b_val = (b_val / 8.3) + 0.1;
    r_val = (r_val / 1.0) + 0.3;

    gl_FragColor = vec4(
           r_val,
           g_val,
           b_val,
           1.0);
}